Package sudoku.structure

# Class MultiDoku

java.lang.Object
sudoku.structure.MultiDoku

public class MultiDoku extends Object
Class : MultiDoku Brief : Représente une grille de Multidoku. Une grille de sudoku est un multidoku avec un seul sous-sudoku.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiDoku(List<Sudoku> subGrids)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearMutableCells()`
  Vide les Cells modifiable.
  `MultiDoku`
  `clone()`
  `boolean`
  `equals(Object other)`
  `List<Cell>`
  `getCells()`
  Renvoie la liste des Cells contenue dans ce MultiDoku, soit les Cells contenues de chaques sous-Sudoku.
  `List<Cell>`
  `getEmptyCells()`
  Renvoie la liste des Cells vides du MultiDoku.
  `List<Cell>`
  `getFilledCells()`
  Renvoie la liste des Cells préalablement remplies du MultiDoku.
  `Cell`
  `getFirstEmptyCell()`
  Renvoie la 1re Cell vide des sous-Sudoku.
  `int`
  `getNbCells()`
  Renvoie le nombre de Cell contenue dans le MultiDoku.
  `int`
  `getNbSubGrids()`
  Renvoie le nombre de sudoku contenu dans ce MultiDoku.
  `StateManager`
  `getStateManager()`
  `Sudoku`
  `getSubGrid(int i)`
  Renvoie la ie sudoku contenue dans ce MultiDoku.
  `List<Sudoku>`
  `getSubGrids()`
  Renvoie les sous-Sudoku
  `boolean`
  `isSolved()`
  Check si le MultiDoku est résolu, c'est à dire complet et cohérent avec ses contraintes.
  `void`
  `setFilledCellsImmutable()`
  Change les Cells de ce MultiDoku avec des symboles, en Cells immuables.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MultiDoku

    public MultiDoku(List<Sudoku> subGrids)

- ## Method Details

  - ### isSolved

    public boolean isSolved()
    Check si le MultiDoku est résolu, c'est à dire complet et cohérent avec ses contraintes.
    Returns:
      boolean, true s'il est résolu et false sinon.

  - ### getFilledCells

    public List<Cell> getFilledCells()
    Renvoie la liste des Cells préalablement remplies du MultiDoku.
    Returns:
      List~Cell~, vide si aucune Cell n'est remplie.

  - ### getEmptyCells

    public List<Cell> getEmptyCells()
    Renvoie la liste des Cells vides du MultiDoku.
    Returns:
      List~Cell~, vide si aucune Cell ne l'est.

  - ### getFirstEmptyCell

    public Cell getFirstEmptyCell()
    Renvoie la 1re Cell vide des sous-Sudoku.
    Returns:
      Cell, une Cell vide, ou null s'il n'y en a pas.

  - ### getNbSubGrids

    public int getNbSubGrids()
    Renvoie le nombre de sudoku contenu dans ce MultiDoku.
    Returns:
      int

  - ### getSubGrid

    public Sudoku getSubGrid(int i)
    Renvoie la ie sudoku contenue dans ce MultiDoku.
    Parameters:
      `i` - int, indice du sudoku à renvoyer.
    Returns:
      Sudoku, ie Sudoku

  - ### getCells

    public List<Cell> getCells()
    Renvoie la liste des Cells contenue dans ce MultiDoku, soit les Cells contenues de chaques sous-Sudoku.
    Returns:
      List~Cell~

  - ### getNbCells

    public int getNbCells()
    Renvoie le nombre de Cell contenue dans le MultiDoku.
    Returns:
      int, nombre de Cell dans le MultiDoku.

  - ### setFilledCellsImmutable

    public void setFilledCellsImmutable()
    Change les Cells de ce MultiDoku avec des symboles, en Cells immuables.

  - ### clearMutableCells

    public void clearMutableCells()
    Vide les Cells modifiable.

  - ### getSubGrids

    public List<Sudoku> getSubGrids()
    Renvoie les sous-Sudoku
    Returns:
      List~Sudoku~

  - ### getStateManager

    public StateManager getStateManager()

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### clone

    public MultiDoku clone()
    Overrides:
      `clone` in class `Object`